Summary: An X based PalmPilot Emulator
Name: xcopilot
Version: 0.6.6
Release: 2
Copyright: freeware
URL: http://xcopilot.cuspy.com
Source: http://xcopilot.cuspy.com/build/xcopilot-0.6.6.tar.gz
Source1: xcopilot.desktop
Group: Applications/Communications
BuildRoot: /var/tmp/xcopilot-root/
Prefix: /usr

%description
XCopilot is a USR/3Com PalmPilot complete hardware emulator.  It requires
the ROM image from your Pilot for operation (or possibly a Linux image
now that Linux boots on the Pilot).  The ROM image can be obtained
from the pilot using the pi-getrom command from the pilot-link package.

%prep
%setup -q -n xcopilot-0.6.6

%build
./configure --prefix=/usr
make 

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}/usr/lib

make prefix=${RPM_BUILD_ROOT}/usr install

mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps/
cp icon.xpm xcopilot.xpm
cp icon2.xpm xcopilot2.xpm
install -m 644 xcopilot.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps/
install -m 644 xcopilot2.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps/

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 
install -m 644 -o root -g root $RPM_SOURCE_DIR/xcopilot.desktop $RPM_BUILD_ROOT//etc/X11/applnk/Applications/ 

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%files
%defattr(-,root,root)
%doc README
/usr/bin/xcopilot
/usr/include/X11/pixmaps/xcopilot.xpm
/usr/include/X11/pixmaps/xcopilot2.xpm
/etc/X11/applnk/Applications/xcopilot.desktop

%changelog
* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Michael Maher <mike@redhat.com>
- updated package

* Tue Jul 28 1998 Michael Maher <mike@redhat.com>
- updated source to 6.4
- built package on all archs for powertools. 
- added wmconfig

* Sat Jun 13 1998 <djb@redhat.com>
- updated to 0.6.2

* Tue Mar 03 1998 Donnie Barnes <djb@redhat.com>
- made package relocatable
- added %attr so that users can rebuild without being root

* Tue Feb 17 1998 Donald Barnes <djb@redhat.com>
- new package
